# Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| AutoConstantDefinition (AutoConstantType _acType, const String &_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)

## Public Attributes

AutoConstantType | acType
String | name
size_t | elementCount
ElementType | elementType
| The type of the constant in the program.
ACDataType | dataType
| The type of any extra data.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition | ( | AutoConstantType | _acType,
|  | const String & | _name,
|  | size_t | _elementCount,
|  | ElementType | _elementType,
|  | ACDataType | _dataType
| ) |

| Definition at line 356 of file OgreGpuProgram.h.

## Member Data Documentation

AutoConstantType Ogre::GpuProgramParameters::AutoConstantDefinition::acType

| Definition at line 348 of file OgreGpuProgram.h.

ACDataType Ogre::GpuProgramParameters::AutoConstantDefinition::dataType

| The type of any extra data. Definition at line 354 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount

| Definition at line 350 of file OgreGpuProgram.h.

ElementType Ogre::GpuProgramParameters::AutoConstantDefinition::elementType

| The type of the constant in the program. Definition at line 352 of file OgreGpuProgram.h.

String Ogre::GpuProgramParameters::AutoConstantDefinition::name

| Definition at line 349 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:53 2006